Ext.define('MemoApp.view.MemoEditView', {
	extend 	: 'Ext.Panel',
  id			: 'memo-edit_view',
	xtype		: 'memoeditview',
	
	config : {
		layout 	: 'fit',
		floating        : true,
		modal           : false,
		hidden          : true,
		height          : '90%',
		width           : '90%',
		centered				: true,
    //styleHtmlContent: true,//scrollableと併用すると位置ずれが起きた。
    //scrollable      : true,
    items: [
      {
				docked: 'top',
				xtype : 'toolbar',
        items: [
					{
						xtype: 'button',
						id: 'close-edit-button',
						ui: 'back',
						text: 'Memo List',
						iconMask: true
					},
					{
            xtype: 'spacer'
          },
					{
						xtype: 'button',
						id: 'save-edit-button',
						ui: 'normal',
						text: 'Finish',
						iconMask: true
					}
				]
      },
			{
				xtype: 'formpanel',
				id: 'memo-edit-form',
				items: [
					{
            xtype: 'textareafield',
						readOnly:false,
						clearIcon:true,
            name: 'memoedit',
						maxRows   : 10,
						labelAlign:'top',
            label: 'new memo'
					}
				]
			}
		],
		listeners: {
			scope: this
		}
	},
	initialize: function() {
	  console.log('initialize MemoEditView view');	    
		this.callParent();
  }
});
