Ext.define('MemoApp.view.MemoListView', {
	extend 	: 'Ext.dataview.List',
  id: 'memo-list-view',
	xtype		: 'memolistview',
		
	config : {
		store: 'Memos',
		itemTpl: '{memo}',
		listeners: {
			scope: this,
			selectionchange: {fn: function(view, index, item, e){//調査：効かない
					console.log('selectionchange');
				}
			},
			itemtap: function(list, index, item, evt) {	//調査：効かない
					console.log('itemtap');
			}
		},
		items: [
			{
				docked: 'bottom',
				xtype : 'toolbar',
        items: [
					{
            xtype: 'button',
            id: 'delete-memo-button',
            ui: 'decline',
						iconCls: 'delete',
            iconMask: true
          },
					{
            xtype: 'spacer'
          },
					{
            xtype: 'button',
            id: 'new-memo-button',
            ui: 'action',
						iconCls: 'add',
            iconMask: true
          }
        ]
			}
		]
	},

	onItemTap:function(view, index, item, e){
		console.log('onItemTap');
		/*
		console.log(view);
		console.log(index);
		console.log(item);
		console.log(e);
		*/
	},
	initialize: function() {
	  console.log('initialize MemoListView view');	    
		this.callParent();
  }
});
