Ext.define('MemoApp.view.MainView', {
	extend 	: 'Ext.Container',
	xtype		: 'mainview',
	requires : [
		'MemoApp.view.MemoListView',
		'MemoApp.view.MemoView',
		'MemoApp.view.MemoEditView'
	],
	config : {
		fullscreen : true,
		layout : {
			type : 'card'
		},
		items : [
			{
				xtype 	: 'navigationbar',
				title 	: 'MEMO',
				docked 	: 'top'
			},
			{
				xtype 	: 'memolistview'
			},
			{
				xtype 	: 'memoview'
			},
			{
				xtype 	: 'memoeditview'
			}
		]
	}
});
